import React, {
  useState,
  useEffect,
} from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/netj/8836201/raw/6f9306ad21398ea43cba4f7d537619d0e07d5ae3/iris.csv';

export const useData = () => {
  const [data, setData] = useState(null);
  useEffect(() => {
    const row = (d) => {
      d['sepal.length'] = Number(
        d['sepal.length']
      ); 
      d['sepal.width'] = Number(
        d['sepal.width']
      );
      d['petal.length'] = Number(
        d['petal.length']
      );
      d['petal.width'] = Number(
        d['petal.width']
      );
      return d;
    };
    d3.csv(csvUrl, row).then((data) => {
      console.log(data);
      setData(data);
    });
  }, [csvUrl]);
  return data;
};
